// *************************************************************************************************
//
// Horde3D Gui Extension
// --------------------------------------------------------
// 
// Author: Volker Vogelhuber
//
// *************************************************************************************************

#include "ExtTextureResource.h"
#include "egModules.h"

namespace Horde3DGui
{

using namespace Horde3D;

ExtTextureResource::ExtTextureResource( TextureResource *resource ) : TextureResource( *resource )
{
}

ExtTextureResource::~ExtTextureResource()
{
	_handle = 0;
	_texObject = 0;
	_rbObj = 0;
}

int ExtTextureResource::getTexID()
{
	if( _texObject ) 
		return gRDI->getTexture( _texObject ).glObj;
	else
		return 0;
}

int ExtTextureResource::getFBO()
{
	if( _rbObj )
		return gRDI->getRenderBuffer( _rbObj ).fbo; 
	else
		return 0;
}

}